%%
%Geneations of a "patch"around the stars, in the data cube.
%This process does not  substract the median of the data cube over itself

fprintf('\n##################################\n');
fprintf('Step 1: Read Data Cube and his header info\n');
tic  

%listFile='P21lkhv_list_AL.txt';
listFile='P21ltbf_list_ALSMP.txt';

[nameF,NF]=readList(listFile);
DATEOBS=cell(NF,1);
EXPTIME=cell(NF,1);
JD=cell(NF,1);
minCoor=zeros(NF,2);
maxCoor=zeros(NF,2);
minCoor2=zeros(NF,2);
maxCoor2=zeros(NF,2);
for nimg=1:NF
    DATEOBS{nimg}=readHDR(nameF{1}(nimg,:),'DATE-OBS','%s');
    JD{nimg}=readHDR(nameF{1}(nimg,:),'MJD','%d');
     EXPTIME{nimg}=readHDR(nameF{1}(nimg,:),'EXPTIME','%d');
     theVal=readHDR(nameF{1}(nimg,:),'AAREA','[%d:%d,%d:%d]');
     minCoor(nimg,1)=theVal(1);
     minCoor(nimg,2)=theVal(3);
     maxCoor(nimg,1)=theVal(2);
     maxCoor(nimg,2)=theVal(4);
     theVal=readHDR(nameF{1}(nimg,:),'AAREA2','[%d:%d,%d:%d]');
     minCoor2(nimg,1)=theVal(1);
     minCoor2(nimg,2)=theVal(3);
     maxCoor2(nimg,1)=theVal(2);
     maxCoor2(nimg,2)=theVal(4);
end
parfor nimg=1:NF
     Dcube(:,:,nimg)=int16( fitsread( char(nameF{1}(nimg,:)) ) );
end
toc
%%