function [matchM  ] = matchPoint(npoint,nimage, deep, radius)
%   search match point with radius searchRatio in the next image 
%   Detailed explanation goes here
global thePoint
 % matchM=[];

if (thePoint{nimage,5}(npoint) ~= -1)
    %matchM=thePoint{nimage,5}(npoint);
    matchM=[];
    return;
end

P=thePoint{nimage,2}(npoint,:);
idxMatch=0;

for k=nimage+1:deep
    npT=thePoint{k,4};
    for np=1:npT
        P2=thePoint{k,2}(np,:);

        %matchX=0;
        %matchY=0;
        %if ( abs(P(1) - P2(1))  <=  radius)
        %    matchX=1;
        %end
        %if (abs(P(2) - P2(2))  <=  radius)
        %    matchY=1;
        %end
        % modify by using point distance
        theMatch=0;
        if (pdist([P;P2]) <= radius)
            theMatch=1;
        end

        if ( theMatch)
            thePoint{nimage,5}(npoint)=thePoint{nimage,5}(npoint)+1;
            idxMatch=idxMatch+1;
            matchM(idxMatch,1)=k; % The Image number
            matchM(idxMatch,2)=np; % the point
            for w=1: idxMatch
              thePoint{matchM(w,1),5}( matchM(w,2))=thePoint{nimage,5}(npoint);
            end
            P=P2;
            break;
        end
    end 
end

nEx=exist('matchM','var');
if ~ nEx
    matchM=[];
end

end

