function [theList,nfiles] = ...
    readList( List )
% Read the name files in a text list
%  Usage [telList,nfiles]=readList( List )
% Output: 
% telList : Name of file, cel string 
% telList: Number of files
%
%BH mayo 2021



if exist(List,'file') ~= 2
    error('\n Error: List file %s does not exist ... \n aborting...',List);
  
end

fplist=fopen(List);
theList=textscan(fplist,'%s');
fclose(fplist);

s=size(theList{1});
nfiles=s(1);
end