function [ mC,sC ,pC] = skyBackground( Data,theReg)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here


if  ~ismatrix(Data)
    error("Error: The Data must be 2D matrix, your data has %d dimentions ..,\n aborting ...", ndims(Data));
end

[rtot,ctot]=size(Data);
newData=zeros(rtot,ctot);
[iiReg,~]=size(theReg);

for ii=1:iiReg
    cx=round(theReg(ii,1));
    cy=round(theReg(ii,2));
    w=round(theReg(ii,3)/2.);
    h=round(theReg(ii,4)/2.);
    nReg=Data(cy-h:cy+h, cx-w:cx+w);
    n2Reg=reshape(nReg,[],1);
    if (ii == 1)
        totReg=n2Reg;
    else
         totReg=[totReg; n2Reg];  
    end
    
end  

mC=median(totReg);
sC=std(totReg);
pC=mean(totReg);

end

