function [ themin ] = minHalfDistance( vecM ,imgSize)
% Determine the minumum half distance between a set of point (xi,yi)
%  USAGE: themin minHalfDistance( vecM ,[Ximg, Yimage])

themin=min(pdist(vecM))/1.1;

dim=size(vecM);
np=dim(1);

for i=1:np
    if (vecM(i,1) - themin) <  0.5
        themin=vecM(i,1)-1;
    end
     if (vecM(i,1) + themin) > imgSize(1)
           themin= imgSize(1)-vecM(i,1);
     end
end

for i=1:np
    if (vecM(i,2) - themin) <  0.5
        themin=vecM(i,2)-1;
    end
     if (vecM(i,2) + themin) > imgSize(2)
           themin= imgSize(2)-vecM(i,2);
     end
end


end

