function [ newPix ] = pixNew(P, R, M )
%   Compute teh New Image Pixel Coordinate according WCS
%   Usage: [ newPix ] = pix_new(imgCoor, RefPix, CDMatrix )
%
% Compute the pixel offset q i = si =
% " SUM j=1 to N (m_{ij}(p_j − r_j)" 
%
newPix=zeros(2,1);

for i=1:2
    for j=1:2
        newPix(i)=M(i,j)*(P(j)-R(j));
    end
end

end

